## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-pytest-aiohttp is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-mgmt-eventhub

Name:           python-%{srcname}
Version:        9.1.0
Release:        %autorelease
Summary:        Microsoft Azure EventHub Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure EventHub Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Tue May 17 2022 Major Hayden <major@mhtx.net> 1:9.1.0-5
- Add python-dotenv to test requirements

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:9.1.0-4
- Disable tests in EPEL 9

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:9.1.0-3
- Fix Buildrequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:9.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:9.1.0-1
- Update to 9.1.0; add tests

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:4.1.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:4.1.0-2
- Add epoch number for 4.1.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:4.1.0-1
- Downgrade to 4.1.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 9.0.0-1
- Initial import (#1971805)
